Subject: Re: Linux->Cygwin cross compiler?
From: Bradley Bell <[email-masked]>
To: David McNab <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Jan 2001 15:26:43 -0800

You can compile one, relatively easily.  download the -src.tar.gz files for
binutils, gcc, and cygwin from the ftp site, download this file:
http://people.debian.org/~btb/src/cygwin/cygwin-1.1.7-1/debian/rules
make sure the versions of the -src.tar.gz in "rules" match what you just
downloaded, and run:
make -f rules unpack    # to build the source tree (a bunch of symlinks)

then you should be able to:
cd src
./configure --target=i386-cygwin --prefix=/opt/cygwin # or wherever
make
make install

-brad

On Wed, Jan 24, 2001 at 11:16:47PM -0800, David McNab wrote:
> Does anyone know where I can find a cross-compiler to run on Linux (pref
> Mandrake) which will generate EXEs, DLLs etc for CYGWIN?
> 
> I humbly have to admit that I lack the experience to feel confident in
> compiling the Cygwin gcc/ld on Linux. I could probably do it over time, but
> I'd rather avoid it if it's already been done. A compiler is not a small
> piece of software.
> 
> Another issue that intimidates me is the fact that a Linux->CYGWIN gcc would
> need a largely different set of header files, libraries etc to the set used
> by native Linux gcc. If feels like there'd be more to it than just changing
> a few trivial makefile constants and #defines to keep the CYGWIN-targeted
> headers and libraries from clashing with the native Linux ones.
> 
> Would I get away with Linux's 'make', or would I need to port cygwin's make?
> 
> Any leads or advice would be deeply appreciated.
> Especially if someone could offer a URL where I could download an existing
> cross-compiler.
> 
> Please reply to [email-masked]
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple